Subject: Re: bug#61960: 30.0.50; Unexec build reliably crashes during loadup

From: Po Lu <[email-masked]>
Date: Thu, 16 Mar 2023 08:30:00 +0800

Eli Zaretskii <[email-masked]> writes:

> Why astonishing?  AFAIR, it was supposed to work, so unless it
> bit-rotted, it should still build and work.

For example: Emacs with pdumper is supposed to be able to write into
objects in pure space.  But that will crash an unexec build without the
necessary protections with a write into program text, and AFAIK those
protections are disabled if HAVE_PDUMPER.